| Home | Libraries | People | FAQ | More

##### url_view::encoded_target

Return the target.

###### Synopsis

    pct_string_view
    encoded_target() const;

###### Description

This function returns the target, which is the portion of the url that includes only the path and query. The returned string may contain percent escapes.

###### Example

    assert( url_view( "http://www.example.com/index.html?query#frag" ).encoded_target() == "/index.html?query" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### Specification

- 3.3. Path (rfc3986)
- 3.4. Query (rfc3986)

###### See Also

`encoded_origin`, `encoded_resource`.